import {
  req
} from "../utils/req";
import {
  config
} from "../config/index"
// 获取合作伙伴
function getMeetDetail(data) {
  return new Promise((resolve, reject) => {
    req({
      url: `/conference/conference/info/${config.meetID}`,
      success(res) {
        if (res.code !== 0) {
          wx.showToast({
            title: res.message || "请稍后再试",
            icon: "none"
          })
          reject(res)
          return
        }
        data.success && data.success(res.data)
        resolve(res.data);
      }
    });
  })
}

// 获取会议信息
function getMeetInfo(success) {
  return new Promise((resolve, reject) => {
    req({
      url: `/conference/conf/type/service/${config.meetID}`,
      success(res) {
        if (res.code !== 0) {
          wx.showToast({
            title: res.message || "请稍后再试",
            icon: "none"
          })
          reject(res)
          return
        }
        success && success(res.data)
        resolve(res.data);
      }
    });
  })
}

// 报名
function postSignUp({data, success}) {
  return new Promise((resolve, reject) => {
    req({
      url: `/conference/user-third/create?code=${data.code}`,
      method: "POST",
      data:{
        ...data,
        conferenceId: config.meetID
      },
      success(res) {
        if (res.code !== 0) {
          wx.showToast({
            title: res.message || "请稍后再试",
            icon: "none"
          })
          reject(res)
          return
        }
        success && success(res.data)
        resolve(res.data);
      }
    });
  })
}

// 获取手机号
function getPhone({success, code}) {
  return new Promise((resolve, reject) => {
    req({
      url: `/conference/user-third/getPhone/${config.meetID}?code=${code}`,
      success(res) {
        if (res.code !== 0) {
          wx.showToast({
            title: res.message || "请稍后再试",
            icon: "none"
          })
          reject(res)
          return
        }
        success && success(res.data)
        resolve(res.data);
      }
    });
  })
}

// 获取会议信息
function getMeetBaseInfo() {
  return new Promise((resolve, reject) => {
    req({
      url: `/conference/conf/info/${config.meetID}/SHOW_CTRL`,
      method: "GET",
      data:{},
      success(res) {
        if (res.code !== 0) {
          wx.showToast({
            title: res.message || "请稍后再试",
            icon: "none"
          })
          reject(res)
          return
        }
        resolve(res.data);
      }
    });
  })
}

export default {
  getMeetDetail,
  getMeetInfo,
  getMeetBaseInfo,
  postSignUp,
  getPhone
}