import {
  req
} from "../utils/req";
import {
  config
} from "../config/index"
// 获取新闻列表
function getNewList(data) {
  return new Promise((resolve, reject) => {
    let url = `/conference/news/list/${config.meetID}?page=${data.page || 1}&pageSize=${data.size || 10}`;
    if (data.category) url += `&category=${data.category}`
    req({
      url,
      success(res) {
        if (res.code !== 0) {
          wx.showToast({
            title: res.message || "请稍后再试",
            icon: "none"
          })
          reject(res)
          return
        }
        data.success && data.success(res.data)
        resolve(res.data);
      }
    });
  })
}
// 获取新闻详情
function getNewDetail({
  id,
  success
}) {
  return new Promise((resolve, reject) => {
    req({
      url: `/conference/news/info/${id}`,
      success(res) {
        if (res.code !== 0) {
          wx.showToast({
            title: res.message || "请稍后再试",
            icon: "none"
          })
          reject(res)
          return
        }
        success && success(res.data)
        resolve(res.data);
      }
    });
  })
}

export default {
  getNewList,
  getNewDetail
}