import {
  req
} from "../utils/req";

// 获取座次图
function getSeatImage(data) {
  return new Promise((resolve, reject) => {
    req({
      url: `/conference/agenda/seat/info/${data.id || ''}`,
      success(res) {
        if (res.code !== 0) {
          wx.showToast({
            title: res.message || "请稍后再试",
            icon: "none"
          })
          reject(res)
          return
        }
        data.success && data.success(res.data)
        resolve(res.data);
      }
    });
  })
}

export default {
  getSeatImage
}