import {
  req
} from "../utils/req";
import {
  config
} from "../config/index"

// 获取日程
function getStroke(success) {
  return new Promise((resolve, reject)=>{
    req({
      url: `/conference/agenda/list/${config.meetID}`,
      success(res) {
        if (res.code !== 0) {
          wx.showToast({
            title: res.message || "请稍后再试",
            icon: "none"
          })
          reject(res)
          return
        }
        success && success(res.data)
        resolve(res.data)
      }
    })
  });
}

// 获取议程
function getStrokeList(params) {
  return new Promise((resolve, reject)=>{
    req({
      url: `/conference/agenda-detail/list/${params.strokeID}`,
      success(res) {
        if (res.code !== 0) {
          wx.showToast({
            title: res.message || "请稍后再试",
            icon: "none"
          })
          reject(res)
          return
        }
        params.success && params.success(res.data)
        resolve(res.data)
      }
    })
  });
}
// 获取议程详情
function getStrokeDetail(params) {
  return new Promise((resolve, reject)=>{
    req({
      url: `/conference/agenda/info/${params.strokeID}`,
      success(res) {
        if (res.code !== 0) {
          wx.showToast({
            title: res.message || "请稍后再试",
            icon: "none"
          })
          reject(res)
          return
        }
        params.success && params.success(res.data)
        resolve(res.data)
      }
    })
  });
}

export default {
  getStroke,
  getStrokeList,
  getStrokeDetail
}