// pages/guests/index.js
import api from "../../api/index"
import {
  toNavigatePage
} from "../../utils/util"
const {
  globalData: {
    systemInfo: {
      windowWidth
    }
  }
} = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    guests_marster: [],
    guests_participate_in: [],
    guests_ordinary: []
  },

  toPage(e) {
    toNavigatePage(e.currentTarget.dataset.url + '?id=' + e.currentTarget.dataset.id)
  },
  imageload(e) {
    const {
      detail: {
        width,
        height
      },
      currentTarget: {
        dataset: {
          index
        }
      }
    } = e;
    const rwidth = windowWidth * 0.3;
    const rheight = height / width * rwidth;
    const item = JSON.parse(JSON.stringify(this.data.guests_marster));
    item[index].width = rwidth;
    item[index].height = rheight;
    this.setData({
      guests_marster: item
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    Promise.all([api.getGuests({
      type: 1
    }), api.getGuests({
      type: 2
    }), api.getGuests({
      type: 3
    })]).then(list => {
      const [guests_marster, guests_participate_in, guests_ordinary] = list;
      this.setData({
        guests_marster: guests_marster || [],
        guests_participate_in: guests_participate_in || [],
        guests_ordinary: guests_ordinary || []
      })
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  onShareTimeline() {}
})