// pages/media/index.js
import api from "../../api/index";
const {
  globalData: {
    systemInfo
  }
} = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {
    actMeet: '',
    top: {
      height: 0,
      width: systemInfo.windowWidth
    },
    phone: {
      width: (systemInfo.windowWidth - 20) / 2,
      height: 0
    },
    tabs: [],
    images: [],
    cover: ""
  },
  page: 1,
  size: 12,
  total: 0,
  changeMeet(e) {
    this.page = 1;
    this.setData({
      images: []
    })
    this.getPhone(e.detail.name);
  },
  imageLoad(e) {
    const {
      width,
      height
    } = e.detail;
    const image = e.currentTarget.dataset.image || 'top';
    const p = {};
    p[image] = {
      ...this.data[image]
    }
    p[image].height = height / width * p[image].width
    this.setData(p);
  },
  showImage(e) {
    wx.previewMedia({
      sources: this.data.images.map(v => {
        return {
          url: v.photo
        }
      }),
      current: e.currentTarget.dataset.index
    })
  },

  // 获取图片直播
  getPhone(id) {
    const {
      page,
      size
    } = this;
    api.getLivePhone({
      page,
      size,
      id
    }).then(res => {
      res.records && res.records.length && (this.page += 1);
      this.total = res.total;
      const list = [
        ...this.data.images,
        ...(res.records || [])
      ]
      this.setData({
        images: list,
        actMeet: id + ''
      })
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.setData({
      cover: options.cover
    })
    api.getStroke().then(strokeList => {
      const item = strokeList[0] || {}
      this.setData({
        actMeet: item.id + "",
        tabs: strokeList
      })
      this.getPhone(item.id);
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {
    this.getPhone(this.data.actMeet);
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  onShareTimeline() {}
})