// pages/news/index.js
import api from "../../api/index"
import {
  toNavigatePage
} from "../../utils/util"
Page({

  /**
   * 页面的初始数据
   */
  data: {
    news: []
  },
  page: 1,
  size: 10,
  getNewList() {
    const {
      page,
      size,
      category
    } = this;
    api.getNewList({
      page,
      size,
      category
    }).then(r => {
      r.records && r.records.length && (this.page += 1);
      const list = [
        ...this.data.news,
        ...(r.records || [])
      ]
      this.setData({
        news: list
      })
    })
  },

  toPage(e) {
    toNavigatePage(e.currentTarget.dataset.url)
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.category = options.type
    this.getNewList();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {
    this.getNewList();
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  onShareTimeline() {}
})