// pages/stroke/index.js
import {
  toNavigatePage
} from "../../utils/util"
import api from "../../api/index";
Page({

  /**
   * 页面的初始数据
   */
  data: {
    meetingList: [],
    active: ""
  },

  tabChange() {},
  toPage(e) {
    const {
      agendavideo,
      cover,
      url,
      id
    } = e.currentTarget.dataset;
    console.log(encodeURI(cover), agendavideo)
    toNavigatePage(url + '?id=' + id + '&agendavideo=' + agendavideo + '&cover=' + encodeURI(cover))
  },

  async getChannelsLive(finderUserName) {
    const info = await new Promise((resolve, reject) => {
      wx.getChannelsLiveInfo({
        finderUserName,
        success: res => {
          const {
            status
          } = res;
          resolve(status);
          // status -> 2 直播中
        },
        fail: err => {
          console.log(err)
        }
      })
    })
    return info
  },

  openChannels(e) {
    const finderUserName = e.currentTarget.dataset.channelsid || "";
    wx.openChannelsLive({
      finderUserName
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    api.getStroke().then(strokeList => {
      const sl = {};
      for (let i = 0; i < strokeList.length; i++) {
        const v = strokeList[i];
        const time = v.agendaTime.split(" ") || [];
        if (!time || !time.length) continue
        let t0 = time[0].split("-");
        if (!sl[t0[1] + '-' + t0[2]]) sl[t0[1] + '-' + t0[2]] = [];
        v.localTime = time[1];
        if (v.wxVideoUid) {
          // 判断是否正在直播
          const status = this.getChannelsLive(v.wxVideoUid);
          v.liveing = status === 2;
        }
        sl[t0[1] + '-' + t0[2]].push(v);
      }
      this.setData({
        meetingList: sl
      })
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  onShareTimeline() {}
})